2.6-RC2 not needed?

classic Classic list List threaded Threaded
34 messages Options
12
Reply | Threaded
Open this post in threaded view
|

2.6-RC2 not needed?

jody.garnett
Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.

The only changes I know are in the pipe are documentation and readme fixes -  which should not require an RC2.
--
Jody Garnett

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Ben Khoo
Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

jody.garnett
It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.



Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo <[hidden email]> wrote:
Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Ben Khoo
I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0  


Cheers

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/ 
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel 


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

jody.garnett
Nightly builds are *always* available - because testing a nightly build is a common request we made the links easy to find on the project home page.

And yes if it is fixed in a nightly then it is fixed in 2.6.0.

Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo <[hidden email]> wrote:
I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Ben Caradoc-Davies
In reply to this post by jody.garnett
I would like Andrea's opinion on this XSS security issue:
https://jira.codehaus.org/browse/GEOS-6632

Any fix would affect the WMS implementation; this suggests to me that an
RC2 might be warranted if this issue is fixed.

Kind regards,
Ben.

On 27/08/14 13:34, Jody Garnett wrote:

> Watching the download status for 2.6-beta and 2.6-RC1, and judging from
> the lack of feedback it appears an RC2 will not be needed.
>
> The only changes I know are in the pipe are documentation and readme
> fixes -  which should not require an RC2.
> --
> Jody Garnett
>
>
> ------------------------------------------------------------------------------
> Slashdot TV.
> Video for Nerds.  Stuff that matters.
> http://tv.slashdot.org/
>
>
>
> _______________________________________________
> Geoserver-devel mailing list
> [hidden email]
> https://lists.sourceforge.net/lists/listinfo/geoserver-devel
>

--
Ben Caradoc-Davies <[hidden email]>
Software Engineer
CSIRO Mineral Resources Flagship
Australian Resources Research Centre

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

jody.garnett
In reply to this post by Ben Khoo
Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.

Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/

Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo <[hidden email]> wrote:
I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Ben Khoo
Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/ 




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/ 
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel 



------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Ben Khoo
Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/ 




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/ 
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel 



------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Mauro Bartolomeoli-2
Hi,
I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

Mauro


2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:
Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p +61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

jody.garnett
Do you have someone on the user list to test a nightly build Mauro? Or will we need to make an RC2....

Jody Garnett


On Wed, Aug 27, 2014 at 12:39 AM, Mauro Bartolomeoli <[hidden email]> wrote:
Hi,
I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

Mauro


2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:

Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Mauro Bartolomeoli-2
Hi, I am not sure if Jonathan Moules (who created the JIRA) is around to give the nightly a try.

Mauro


2014-08-27 9:47 GMT+02:00 Jody Garnett <[hidden email]>:
Do you have someone on the user list to test a nightly build Mauro? Or will we need to make an RC2....

Jody Garnett


On Wed, Aug 27, 2014 at 12:39 AM, Mauro Bartolomeoli <[hidden email]> wrote:
Hi,
I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

Mauro


2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:

Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" value="+61892277309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel




------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Rahkonen Jukka (Tike)

Hi,

 

What is the right URL to download the nightly as zip? Link from http://geoserver.org/release/master/ points to http://ares.boundlessgeo.com/geoserver/master/ext-latest/geoserver-2.6-SNAPSHOT-bin.zip which gives Not Found.

 

-Jukka Rahkonen-

 

Mauro Bartolomeoli wrote:

 

Hi, I am not sure if Jonathan Moules (who created the JIRA) is around to give the nightly a try.

 

Mauro

 

2014-08-27 9:47 GMT+02:00 Jody Garnett <[hidden email]>:

Do you have someone on the user list to test a nightly build Mauro? Or will we need to make an RC2....


Jody Garnett

 

On Wed, Aug 27, 2014 at 12:39 AM, Mauro Bartolomeoli <[hidden email]> wrote:

Hi,

I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

 

Mauro

 

2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:

 

Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----

From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>

Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

 

 

 


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Rahkonen Jukka (Tike)
In reply to this post by jody.garnett

Ok, I read the mails and found the nightly from

 

http://ares.boundlessgeo.com/geoserver/2.6.x/

 

CC’ed Jonathan because I do not know how to test GEOS-6245. The geojson GetFeatureInfo is good (GEOS-6631).

 

-Jukka-

 

Rahkonen Jukka (Tike) wrote:

 

Hi,

 

What is the right URL to download the nightly as zip? Link from http://geoserver.org/release/master/ points to http://ares.boundlessgeo.com/geoserver/master/ext-latest/geoserver-2.6-SNAPSHOT-bin.zip which gives Not Found.

 

-Jukka Rahkonen-

 

Mauro Bartolomeoli wrote:

 

Hi, I am not sure if Jonathan Moules (who created the JIRA) is around to give the nightly a try.

 

Mauro

 

2014-08-27 9:47 GMT+02:00 Jody Garnett <[hidden email]>:

Do you have someone on the user list to test a nightly build Mauro? Or will we need to make an RC2....


Jody Garnett

 

On Wed, Aug 27, 2014 at 12:39 AM, Mauro Bartolomeoli <[hidden email]> wrote:

Hi,

I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

 

Mauro

 

2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:

 

Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----

From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>

Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

 

 

 


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Justin Deoliveira-6
In reply to this post by jody.garnett
RC1 had a pretty serious blocker in it, it has been resolved (thanks Andrea) but not sure if that warrants another release candidate or not.



On Tue, Aug 26, 2014 at 11:34 PM, Jody Garnett <[hidden email]> wrote:
Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.

The only changes I know are in the pipe are documentation and readme fixes -  which should not require an RC2.
--
Jody Garnett

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel




--
Justin Deoliveira
VP Engineering | Boundless
[hidden email]
@boundlessgeo



------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

chris.snider@issinc.com
In reply to this post by Rahkonen Jukka (Tike)

Jonathan may not see the emails.  He had a comment in an email last week about “impending departure from WCC”.  Don’t know if that is a change of job, or just responsibility.

 

Chris Snider

Senior Software Engineer

Intelligent Software Solutions, Inc.

Description: Description: Description: cid:image001.png@01CA1F1F.CBC93990

 

From: Rahkonen Jukka (Tike) [mailto:[hidden email]]
Sent: Wednesday, August 27, 2014 2:29 AM
To: 'Geoserver-devel'
Cc: 'Jonathan Moules ([hidden email])'
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

 

Ok, I read the mails and found the nightly from

 

http://ares.boundlessgeo.com/geoserver/2.6.x/

 

CC’ed Jonathan because I do not know how to test GEOS-6245. The geojson GetFeatureInfo is good (GEOS-6631).

 

-Jukka-

 

Rahkonen Jukka (Tike) wrote:

 

Hi,

 

What is the right URL to download the nightly as zip? Link from http://geoserver.org/release/master/ points to http://ares.boundlessgeo.com/geoserver/master/ext-latest/geoserver-2.6-SNAPSHOT-bin.zip which gives Not Found.

 

-Jukka Rahkonen-

 

Mauro Bartolomeoli wrote:

 

Hi, I am not sure if Jonathan Moules (who created the JIRA) is around to give the nightly a try.

 

Mauro

 

2014-08-27 9:47 GMT+02:00 Jody Garnett <[hidden email]>:

Do you have someone on the user list to test a nightly build Mauro? Or will we need to make an RC2....


Jody Garnett

 

On Wed, Aug 27, 2014 at 12:39 AM, Mauro Bartolomeoli <[hidden email]> wrote:

Hi,

I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

 

Mauro

 

2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:

 

Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----

From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>

Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

 

 

 


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

Kevin Smith-2
There have been two issues identified and fixed on GWC since RC1.  An issue with tiles being retained in memory for arbitrary periods of time when metatiling at uncached levels and an issue with initializing ImageIO when integrated with GeoServer.


On 27 August 2014 06:51, Chris Snider <[hidden email]> wrote:

Jonathan may not see the emails.  He had a comment in an email last week about “impending departure from WCC”.  Don’t know if that is a change of job, or just responsibility.

 

Chris Snider

Senior Software Engineer

Intelligent Software Solutions, Inc.

Description: Description: Description: cid:image001.png@01CA1F1F.CBC93990

 

From: Rahkonen Jukka (Tike) [mailto:[hidden email]]
Sent: Wednesday, August 27, 2014 2:29 AM
To: 'Geoserver-devel'
Cc: 'Jonathan Moules ([hidden email])'


Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

 

Ok, I read the mails and found the nightly from

 

http://ares.boundlessgeo.com/geoserver/2.6.x/

 

CC’ed Jonathan because I do not know how to test GEOS-6245. The geojson GetFeatureInfo is good (GEOS-6631).

 

-Jukka-

 

Rahkonen Jukka (Tike) wrote:

 

Hi,

 

What is the right URL to download the nightly as zip? Link from http://geoserver.org/release/master/ points to http://ares.boundlessgeo.com/geoserver/master/ext-latest/geoserver-2.6-SNAPSHOT-bin.zip which gives Not Found.

 

-Jukka Rahkonen-

 

Mauro Bartolomeoli wrote:

 

Hi, I am not sure if Jonathan Moules (who created the JIRA) is around to give the nightly a try.

 

Mauro

 

2014-08-27 9:47 GMT+02:00 Jody Garnett <[hidden email]>:

Do you have someone on the user list to test a nightly build Mauro? Or will we need to make an RC2....


Jody Garnett

 

On Wed, Aug 27, 2014 at 12:39 AM, Mauro Bartolomeoli <[hidden email]> wrote:

Hi,

I committed a fix for https://jira.codehaus.org/browse/GEOS-6245 after RC1.

 

Mauro

 

2014-08-27 8:13 GMT+02:00 Ben Khoo <[hidden email]>:

 

Thanks Jody and Kevin,

https://jira.codehaus.org/browse/GEOS-6631 is fixed in the nightly build.

I have added a comment to the ticket to that effect.

Thanks again!


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----

From: "Ben Khoo" <[hidden email]>
To: "Jody Garnett" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>

Sent: Wednesday, 27 August, 2014 2:03:04 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?

Ah! Thanks for that :-) I was just going to point out the 404.

Downloading now ...

The reason I was checking before if I could pull down the current nightly was that I wasn't sure if it had been 24 hours since Kevin put in the fix. So I wasn't sure if his fix had flowed into the nightly build yet.

Cheers
Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" <[hidden email]>
To: "Ben Khoo" <[hidden email]>
Cc: "Geoserver-devel" <[hidden email]>
Sent: Wednesday, 27 August, 2014 1:58:44 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


Actually I got a bit confused, the website points to a nightly for 2.7.x as that is called "master" now.


Here is a link to the 2.6 nightly releases: http://ares.boundlessgeo.com/geoserver/2.6.x/




Jody Garnett


On Tue, Aug 26, 2014 at 10:52 PM, Ben Khoo < [hidden email] > wrote:


I'd be happy to test the new nightly. Can I pull it down off the website now?

Maybe I am just a little confused. If it gets fixed in the nightly, does that mean that it will be fixed in the official Geoserver 2.6? I interpreted the previous email to mean that the current RC-1 will be 'accepted' and be renamed as Geoserver 2.6 (official). In other words, 2.6 RC1 == 2.6.0


Cheers


------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]

----- Original Message -----
From: "Jody Garnett" < [hidden email] >


To: "Ben Khoo" < [hidden email] >
Cc: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:46:51 PM
Subject: Re: [Geoserver-devel] 2.6-RC2 not needed?


It looks like Kevin Smith may of fixed that for you? Are you able to test a nightly build and confirm? I am sure Kevin could use the feedback.








Jody Garnett


On Tue, Aug 26, 2014 at 10:42 PM, Ben Khoo < [hidden email] > wrote:


Hi All,

Speaking personally, I think that https://jira.codehaus.org/browse/GEOS-6631 is quite a serious issue (in terms of functionality). This issue would certainly prevent me from being able to use Geoserver 2.6 - unless there is a workaround?

Ben

------------------------------------
Ben Khoo
Gaia Resources
p <a href="tel:%2B61%208%209227%207309" target="_blank">+61 8 9227 7309
w www.gaiaresources.com.au
e [hidden email]



----- Original Message -----
From: "Jody Garnett" < [hidden email] >
To: "Geoserver-devel" < [hidden email] >
Sent: Wednesday, 27 August, 2014 1:34:45 PM
Subject: [Geoserver-devel] 2.6-RC2 not needed?




Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.


The only changes I know are in the pipe are documentation and readme fixes - which should not require an RC2. --



Jody Garnett
------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds. Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel



------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel

 

 

 


------------------------------------------------------------------------------
Slashdot TV.
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel




--

Kevin Smith

Junior Software Engineer | Boundless

[hidden email]

+1-778-785-7459

@boundlessgeo


http://boundlessgeo.com/


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

geowolf
In reply to this post by jody.garnett
On Wed, Aug 27, 2014 at 8:34 AM, Jody Garnett <[hidden email]> wrote:
Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.

The only changes I know are in the pipe are documentation and readme fixes -  which should not require an RC2.

I was wondering also about the timeframe angle.... the RC2 should be September 3rd, if we want to make final during
FOSS4G that would be the 12th.... a bit tight, but maybe we can fit it

Cheers
Andrea


--
==
GeoServer Professional Services from the experts! Visit
http://goo.gl/NWWaa2 for more information.
==

Ing. Andrea Aime 
@geowolf
Technical Lead

GeoSolutions S.A.S.
Via Poggio alle Viti 1187
55054  Massarosa (LU)
Italy
phone: +39 0584 962313
fax: +39 0584 1660272
mob: +39  339 8844549


-------------------------------------------------------

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

jody.garnett
So far it seems some important issues have been fixed since RC1 - but none of the developers seems passionate about getting in another round of community testing.

Community testing has also dropped off (the RC1 is getting bout half the downloads as the beta - and no feedback about RC1 on the user list).

The beta and RC1 did its job of catching our build issues and the installation issues around the use of Java 7. I expect some of the Java 7 docs written are now out of date :)

The issues mentioned thus far can be verified using a nightly build. If windows or mac installer needed more work it would be worth an RC2.

With respect to timing, I think we should either make the RC2 this weekend or get over it. 
--
Jody

Jody Garnett


On Wed, Aug 27, 2014 at 7:35 PM, Andrea Aime <[hidden email]> wrote:
On Wed, Aug 27, 2014 at 8:34 AM, Jody Garnett <[hidden email]> wrote:
Watching the download status for 2.6-beta and 2.6-RC1, and judging from the lack of feedback it appears an RC2 will not be needed.

The only changes I know are in the pipe are documentation and readme fixes -  which should not require an RC2.

I was wondering also about the timeframe angle.... the RC2 should be September 3rd, if we want to make final during
FOSS4G that would be the 12th.... a bit tight, but maybe we can fit it

Cheers
Andrea


--
==
GeoServer Professional Services from the experts! Visit
http://goo.gl/NWWaa2 for more information.
==

Ing. Andrea Aime 
@geowolf
Technical Lead

GeoSolutions S.A.S.
Via Poggio alle Viti 1187
55054  Massarosa (LU)
Italy
phone: <a href="tel:%2B39%200584%20962313" value="+390584962313" target="_blank">+39 0584 962313
fax: <a href="tel:%2B39%200584%201660272" value="+3905841660272" target="_blank">+39 0584 1660272
mob: <a href="tel:%2B39%20%C2%A0339%208844549" value="+393398844549" target="_blank">+39  339 8844549


-------------------------------------------------------


------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
Reply | Threaded
Open this post in threaded view
|

Re: 2.6-RC2 not needed?

geowolf
On Thu, Aug 28, 2014 at 7:13 PM, Jody Garnett <[hidden email]> wrote:
So far it seems some important issues have been fixed since RC1 - but none of the developers seems passionate about getting in another round of community testing.

Community testing has also dropped off (the RC1 is getting bout half the downloads as the beta - and no feedback about RC1 on the user list).

The beta and RC1 did its job of catching our build issues and the installation issues around the use of Java 7. I expect some of the Java 7 docs written are now out of date :)

The issues mentioned thus far can be verified using a nightly build. If windows or mac installer needed more work it would be worth an RC2.

With respect to timing, I think we should either make the RC2 this weekend or get over it. 

I'd really love to hear what other core devs think about the issue.
Anyways, during the weekend I'm going to try and have a look at the WMS cascading issue, it's the only one I have on the radar

Cheers
Andrea

--
==
GeoServer Professional Services from the experts! Visit
http://goo.gl/NWWaa2 for more information.
==

Ing. Andrea Aime 
@geowolf
Technical Lead

GeoSolutions S.A.S.
Via Poggio alle Viti 1187
55054  Massarosa (LU)
Italy
phone: +39 0584 962313
fax: +39 0584 1660272
mob: +39  339 8844549


-------------------------------------------------------

------------------------------------------------------------------------------
Slashdot TV.  
Video for Nerds.  Stuff that matters.
http://tv.slashdot.org/
_______________________________________________
Geoserver-devel mailing list
[hidden email]
https://lists.sourceforge.net/lists/listinfo/geoserver-devel
12